Package: groovy.swing.factory

## [Groovy] Class DialogFactory

- groovy.swing.factory.DialogFactory

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class RootPaneContainerFactory` | `DEFAULT_DELEGATE_PROPERTY_DEFAULT_BUTTON, DELEGATE_PROPERTY_DEFAULT_BUTTON`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RootPaneContainerFactory` | `handleRootPaneTasks, onNodeCompleted, setChild`
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`

- - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)